﻿@using System.Security.Claims
@{
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var isAssistant = Convert.ToBoolean(ViewBag.IsAssistant);
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
    var additionalRoles = ViewBag.additionalRoles;
    bool hasComplianceRole = !string.IsNullOrEmpty(additionalRoles) ? additionalRoles.Contains(AdminRoleEnum.Compliance.ToString()) : false;
    bool hasAdviserRole = !string.IsNullOrEmpty(additionalRoles) ? additionalRoles.Contains(Roles.Adviser) : false;

    var assistantPermissions = ViewBag.assistantPermissions;
    bool hasCPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantC).ToString()) : false;
    bool hasCQPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantCQ).ToString()) : false;
    bool hasIQPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantIQ).ToString()) : false;
    bool hasTQPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantTQ).ToString()) : false;
}
<div class="aside aside-left  aside-fixed  d-flex flex-column flex-row-auto" id="kt_aside">
    <div class="brand flex-column-auto" id="kt_brand">
        <a href="javascript:" class="brand-logo">
            <img alt="Logo" src="~/images/brand_logo.png" />
        </a>
        <button class="brand-toggle btn btn-sm px-0" id="kt_aside_toggle">
            <span class="svg-icon svg-icon svg-icon-xl">
                <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px" height="24px" viewBox="0 0 24 24" version="1.1">
                    <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                        <polygon points="0 0 24 0 24 24 0 24"></polygon>
                        <path d="M5.29288961,6.70710318 C4.90236532,6.31657888 4.90236532,5.68341391 5.29288961,5.29288961 C5.68341391,4.90236532 6.31657888,4.90236532 6.70710318,5.29288961 L12.7071032,11.2928896 C13.0856821,11.6714686 13.0989277,12.281055 12.7371505,12.675721 L7.23715054,18.675721 C6.86395813,19.08284 6.23139076,19.1103429 5.82427177,18.7371505 C5.41715278,18.3639581 5.38964985,17.7313908 5.76284226,17.3242718 L10.6158586,12.0300721 L5.29288961,6.70710318 Z" fill="#000000" fill-rule="nonzero" transform="translate(8.999997, 11.999999) scale(-1, 1) translate(-8.999997, -11.999999) "></path>
                        <path d="M10.7071009,15.7071068 C10.3165766,16.0976311 9.68341162,16.0976311 9.29288733,15.7071068 C8.90236304,15.3165825 8.90236304,14.6834175 9.29288733,14.2928932 L15.2928873,8.29289322 C15.6714663,7.91431428 16.2810527,7.90106866 16.6757187,8.26284586 L22.6757187,13.7628459 C23.0828377,14.1360383 23.1103407,14.7686056 22.7371482,15.1757246 C22.3639558,15.5828436 21.7313885,15.6103465 21.3242695,15.2371541 L16.0300699,10.3841378 L10.7071009,15.7071068 Z" fill="#000000" fill-rule="nonzero" opacity="0.3" transform="translate(15.999997, 11.999999) scale(-1, 1) rotate(-270.000000) translate(-15.999997, -11.999999) "></path>
                    </g>
                </svg>
            </span>
        </button>
    </div>
    <div class="aside-menu-wrapper flex-column-fluid" id="kt_aside_menu_wrapper">
        <div id="kt_aside_menu" class="aside-menu">
            <ul class="menu-nav">
                @if (role == Roles.FirmPrincipal || role == Roles.FirmAdmin || role == Roles.Adviser)
                {
                    <li class="menu-item">
                        <a href="user/dashboard" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-lg fas fa-tachometer-alt text-white ml-1"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Dashboard</span>
                        </a>
                    </li>
                }
                @if (role == Roles.SuperAdmin)
                {
                    <li class="menu-item">
                        <a href="super-admin/firm-principal-list" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fas fa-user-tie ml-1 text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Firm Principal List</span>
                        </a>
                    </li>
                }
                @if (role == Roles.SuperAdmin || role == Roles.FirmPrincipal)
                {
                    <li class="menu-item">
                        <a href="@(role == Roles.SuperAdmin ? "super-admin/firm-admin-list" : $"{area}/firm-admin-list")" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fas fa-user ml-1 text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Firm Admin List</span>
                        </a>
                    </li>
                }
                @if (role == Roles.SuperAdmin || role == Roles.FirmPrincipal || role == Roles.FirmAdmin)
                {
                    <li class="menu-item">
                        <a href="@(role == Roles.SuperAdmin ? "super-admin/adviser-list" : $"{area}/adviser-list")" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fas fa-users-cog text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Adviser List</span>
                        </a>
                    </li>
                }
                @if (role == Roles.SuperAdmin || role == Roles.FirmPrincipal || role == Roles.FirmAdmin || (role == Roles.Adviser && !isAssistant) || (isAssistant && hasCPermission))
                {
                    <li class="menu-item">
                        <a href="@(role == Roles.SuperAdmin ? "super-admin/client-list" : $"{area}/client-list")" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fas fa-users text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Client List</span>
                        </a>
                    </li>
                }
                @if (role == Roles.SuperAdmin)
                {
                    <li class="menu-item">
                        <a href="super-admin/firm-affiliations" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fas fa-handshake ml-1 text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Firm Affiliations</span>
                        </a>
                    </li>
                    <li class="menu-item">
                        <a href="super-admin/regulatory-documents" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fas fa-clipboard-list ml-2 text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Regulatory Documents</span>
                        </a>
                    </li>
                    <li class="menu-item">
                        <a href="super-admin/release-notes" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fab fa-stack-exchange ml-1 text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Release Notes</span>
                        </a>
                    </li>
                }
                @if (role == Roles.FirmPrincipal || role == Roles.FirmAdmin || role == Roles.Adviser)
                {
                    if (role != Roles.Adviser || isAssistant && hasCPermission || (role == Roles.Adviser && !isAssistant))
                    {
                        <li class="menu-item">
                            <a href="user/client-arc-hive" class="menu-link">
                                <span class="svg-icon menu-icon archive-icon ml-1"></span>
                                <span class="menu-text text-white font-weight-bold ml-1">Client ArcHive</span>
                            </a>
                        </li>
                    }
                    @if (!hasComplianceRole)
                    {
                        if (role != Roles.Adviser || isAssistant && hasCQPermission || (role == Roles.Adviser && !isAssistant))
                        {
                            <li class="menu-item">
                                <a href="adviser/compliance-documents" class="menu-link">
                                    <span class="svg-icon menu-icon mr-1" style="margin-left: 5px;">
                                        <i class="icon-2x fas fa-clipboard-list text-white"></i>
                                    </span>
                                    <span class="menu-text text-white font-weight-bold">Compliance Queue</span>
                                </a>
                            </li>
                        }
                        if (role != Roles.Adviser || isAssistant && hasIQPermission || (role == Roles.Adviser && !isAssistant))
                        {
                            <li class="menu-item">
                                <a href="adviser/insurance-documents" class="menu-link">
                                    <span class="svg-icon menu-icon mr-1" style="margin-left: 5px;">
                                        <i class="icon-2x fi flaticon-safe-shield-protection text-white"></i>
                                    </span>
                                    <span class="menu-text text-white font-weight-bold">Insurance Queue</span>
                                </a>
                            </li>
                        }
                    }
                }
                @if (hasComplianceRole)
                {
                    <li class="menu-item">
                        <a href="@(role == Roles.FirmPrincipal ? "firm-principal" : "firm-admin")/compliance-documents" class="menu-link">
                            <span class="svg-icon menu-icon mr-1" style="margin-left: 5px;">
                                <i class="icon-2x fas fa-clipboard-list text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Compliance Queue</span>
                        </a>
                    </li>
                    <li class="menu-item">
                        <a href="@(role == Roles.FirmPrincipal ? "firm-principal" : "firm-admin")/insurance-documents" class="menu-link">
                            <span class="svg-icon menu-icon mr-1" style="margin-left: 5px;">
                                <i class="icon-2x fi flaticon-safe-shield-protection text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Insurance Queue</span>
                        </a>
                    </li>
                }
                @if (hasAdviserRole || isAssistant && hasTQPermission || (role == Roles.Adviser && !isAssistant))
                {
                    <li class="menu-item">
                        <a href="user/tax-documents" class="menu-link">
                            <span class="svg-icon menu-icon tax-icon ml-1"></span>
                            <span class="menu-text text-white font-weight-bold ml-1">Tax Prep Queue</span>
                        </a>
                    </li>
                }
                @if (!isAssistant && (role == Roles.Adviser || hasAdviserRole))
                {
                    <li class="menu-item">
                        <a href="@area/assistant-list" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl fas fa-users-cog text-white"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Assistant Management</span>
                        </a>
                    </li>
                }
                @if (role == Roles.FirmPrincipal || role == Roles.FirmAdmin || role == Roles.Adviser)
                {
                    <li class="menu-item">
                        <a href="user/activities" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl flaticon-event-calendar-symbol text-white ml-1"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Activities</span>
                        </a>
                    </li>
                    <li class="menu-item">
                        <a href="user/client-acquisition-pipeline" class="menu-link">
                            <span class="svg-icon menu-icon mr-2">
                                <i class="icon-xl flaticon-sound text-white ml-1"></i>
                            </span>
                            <span class="menu-text text-white font-weight-bold">Pipeline</span>
                        </a>
                    </li>
                }
            </ul>
        </div>
    </div>
</div>